////////////////////////////////////////////////////////////////////////////////
// Do not modify!
// Generated by codergen
////////////////////////////////////////////////////////////////////////////////

package service

import "fmt"

func (c callFollow) Format(f fmt.State, r rune) {
	fmt.Fprintf(f, "Follow(p: %v)",
		c.p,
	)
}
func (r resultFollow) Format(f fmt.State, c rune) {
	fmt.Fprintf(f, "res: %#v", r.value)
}
func (c callGet) Format(f fmt.State, r rune) {
	fmt.Fprintf(f, "Get(p: %v)",
		c.p,
	)
}
func (r resultGet) Format(f fmt.State, c rune) {
	fmt.Fprintf(f, "res: %#v", r.value)
}
func (c callGetCaptures) Format(f fmt.State, r rune) {
	fmt.Fprintf(f, "GetCaptures()")
}
func (r resultGetCaptures) Format(f fmt.State, c rune) {
	fmt.Fprintf(f, "res: %#v", r.value)
}
func (c callGetDevices) Format(f fmt.State, r rune) {
	fmt.Fprintf(f, "GetDevices()")
}
func (r resultGetDevices) Format(f fmt.State, c rune) {
	fmt.Fprintf(f, "res: %#v", r.value)
}
func (c callGetFramebufferColor) Format(f fmt.State, r rune) {
	fmt.Fprintf(f, "GetFramebufferColor(device: %v, after: %v, settings: %v)",
		c.device, c.after, c.settings,
	)
}
func (r resultGetFramebufferColor) Format(f fmt.State, c rune) {
	fmt.Fprintf(f, "res: %#v", r.value)
}
func (c callGetFramebufferDepth) Format(f fmt.State, r rune) {
	fmt.Fprintf(f, "GetFramebufferDepth(device: %v, after: %v)",
		c.device, c.after,
	)
}
func (r resultGetFramebufferDepth) Format(f fmt.State, c rune) {
	fmt.Fprintf(f, "res: %#v", r.value)
}
func (c callGetSchema) Format(f fmt.State, r rune) {
	fmt.Fprintf(f, "GetSchema()")
}
func (r resultGetSchema) Format(f fmt.State, c rune) {
	fmt.Fprintf(f, "res: %#v", r.value)
}
func (c callGetTimingInfo) Format(f fmt.State, r rune) {
	fmt.Fprintf(f, "GetTimingInfo(device: %v, capture: %v, flags: %v)",
		c.device, c.capture, c.flags,
	)
}
func (r resultGetTimingInfo) Format(f fmt.State, c rune) {
	fmt.Fprintf(f, "res: %#v", r.value)
}
func (c callImport) Format(f fmt.State, r rune) {
	fmt.Fprintf(f, "Import(name: %v, Data: %v)",
		c.name, c.Data,
	)
}
func (r resultImport) Format(f fmt.State, c rune) {
	fmt.Fprintf(f, "res: %#v", r.value)
}
func (c callPrerenderFramebuffers) Format(f fmt.State, r rune) {
	fmt.Fprintf(f, "PrerenderFramebuffers(device: %v, capture: %v, api: %v, width: %v, height: %v, atomIDs: %v)",
		c.device, c.capture, c.api, c.width, c.height, c.atomIDs,
	)
}
func (r resultPrerenderFramebuffers) Format(f fmt.State, c rune) {
	fmt.Fprintf(f, "void")
}
func (c callSet) Format(f fmt.State, r rune) {
	fmt.Fprintf(f, "Set(p: %v, v: %v)",
		c.p, c.v,
	)
}
func (r resultSet) Format(f fmt.State, c rune) {
	fmt.Fprintf(f, "res: %#v", r.value)
}
